Bug 807405 - Error when exporting VM - low disk space
Error when exporting VM - low disk space
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Linux
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: lpeer
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 13:18 EDT by Martina Kollarova
Modified: 2016-02-10 11:52 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 07:24:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (616.77 KB, text/x-log)
2012-03-27 13:18 EDT, Martina Kollarova
no flags Details
ovirt-engine-sdk code where this error happens (9.21 KB, text/plain)
2012-03-27 13:28 EDT, Martina Kollarova
no flags Details
ovirt-engine-sdk code where this error happens (5.01 KB, text/plain)
2012-03-27 15:04 EDT, Martina Kollarova
no flags Details

  None (edit)
Description Martina Kollarova 2012-03-27 13:18:43 EDT
Created attachment 573132 [details]
engine.log

Description of problem:

I create an export storage domain and activate it (status is 'active', no problem in that) and right after that, I try to export a VM into it. This is usually OK, but sometimes I get the error:

 'Cannot export VM. Low disk space on relevant Storage Domain.'

The storage has 177GB of free space (and 479GB used). 



Version-Release number of selected component (if applicable):
ovirt-engine version 3.0.0_0001, release 1.6.fc16
ovrit-engine-sdk - happens on both stable 1.5 version and fresh build from git


How reproducible:
About once in 20 tries.


Steps to Reproduce:
1. create and activate export storage domain
2. export VM
3. format and remove export storage
4. repeat a few times until error in 2nd step

  
Actual results:
Operation Failed: [Cannot export VM. Low disk space on relevant Storage Domain.]

Expected results:
VM exported

Additional info:
From engine.log:
2012-03-27 18:05:51,906 WARN  [org.ovirt.engine.core.bll.ExportVmCommand] (http--0.0.0.0-8443-8) CanDoAction of action ExportVm failed. Reasons:ACTION_TYPE_FAILED_DISK_SPACE_LOW,VAR__ACTION__EXPORT,VAR__TYPE__VM
2012-03-27 18:05:51,906 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (http--0.0.0.0-8443-8) Operation Failed: [Cannot export VM. Low disk space on relevant Storage Domain.]
Comment 1 Martina Kollarova 2012-03-27 13:28:19 EDT
Created attachment 573140 [details]
ovirt-engine-sdk code where this error happens

This is the code where the error sometimes occurs. It is a test run by nosetest, first the setUpModule where the VM is created, then setUpExport that creates the export storage domain and then 'test_exportDeleteImportVM' which fails during the export (once in a while). (If it doesn't the storage gets formated and removed and the VM is removed too)
Comment 2 Martina Kollarova 2012-03-27 15:04:55 EDT
Created attachment 573153 [details]
ovirt-engine-sdk code where this error happens

Fixed small error in previous attachment (I accidentally left 'assert False' there) and removed non-important functions.
Comment 3 Itamar Heim 2012-12-12 07:24:39 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.